Bug 491579 - Review Request: jjack - JACK audio driver for the Java Sound API
Review Request: jjack - JACK audio driver for the Java Sound API
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 492203
  Show dependency treegraph
 
Reported: 2009-03-23 02:14 EDT by Orcan Ogetbil
Modified: 2009-05-08 23:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 14:44:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-23 02:14:07 EDT
Spec URL: http://oget.fedorapeople.org/review/jjack.spec
SRPM URL: http://oget.fedorapeople.org/review/jjack-0.3-1.fc10.src.rpm
Description: 
JJack is a JACK audio driver for the Java Sound API  and a framework for the
Java programming language  that allows Java applications to use the JACK Audio
Connection Kit. Audio processor clients can be designed to:

  * create their own sounds (as a synthesizer or sample-player)
  * change the sound-output of other clients (e.g. as an effects-device)
  * analyse the audio streams generated by other clients (e.g. display
    the wave form)


rpmlint is silent
Comment 1 Mattias Ellert 2009-04-26 07:38:12 EDT
Fedora review jjack-0.3-1.fc10.src.rpm 2009-04-26

rpmlint:

4 packages and 1 specfiles checked; 0 errors, 0 warnings.

* Package is named according to guidelines

* Specfile is named after the package

* The package follows the guidelines for a java package using JNI

* License is Fedora approved: LGPLv2+

* The License tags in the sources only says LGPL without version.
  According to the https://fedoraproject.org/wiki/Licensing page LGPL
  without version is equivalent to LGPLv2+. ("Note that this is
  LGPLv2+, not LGPL+, because version 2 was the first version of
  LGPL.") The version number in the LICENSE file itself is not
  relevant for (L)GPL.

* The LICENSE file is packaged as %doc

* Specfile is written in legible English

* Sources matches upstream to the extent possible (differences are documented):

$ diff -ur SRPM/jjack-0.3 jjack-0.3
Only in jjack-0.3/doc/www: mp3
Only in SRPM/jjack-0.3/doc/www: ogg

* Package compiles in mock (Fedora 10)

* BuildRequires are sane

* Package owns directories it creates

* No duplicate files

* Permissions are sane and %files has %defattr

* %clean clears buildroot

* Macros are used consistently

* Documentation is in javadoc subpackage

* %doc is not runtime essential

* Package does not own other's directories

* %install clears buildroot

* Installed files are valid UTF-8


One small suggestion: The wrapper script passes its arguments on as

$1 $2 $3 $4 $5

It is probably better to instead do

"$@"

(including the quotes). This will work better in cases where there are
empty arguments ("") or quoted arguments containing spaces, subtleties
that now get lost.


Package approved.
Comment 2 Orcan Ogetbil 2009-04-26 11:10:44 EDT
Thanks a lot, I will update the script.

New Package CVS Request
=======================
Package Name: jjack
Short Description: JACK audio driver for the Java Sound API
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-04-27 01:21:38 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-27 04:00:02 EDT
jjack-0.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jjack-0.3-2.fc11
Comment 5 Fedora Update System 2009-04-27 04:01:31 EDT
jjack-0.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jjack-0.3-2.fc10
Comment 6 Fedora Update System 2009-04-27 04:02:31 EDT
jjack-0.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jjack-0.3-2.fc9
Comment 7 Orcan Ogetbil 2009-04-27 14:44:08 EDT
Package imported and built. Closing.
Comment 8 Fedora Update System 2009-04-27 17:31:52 EDT
jjack-0.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-27 17:37:14 EDT
jjack-0.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-08 23:58:50 EDT
jjack-0.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.